#pragma once
#include "Entity.h"
#include "EntityState.h"
#include "EntityStateGravity.h"
#define CS_BLUEROBOT_CREATENAME L"CS_bluerobot_animate"
//蓝色机器人
class CS_BlueRobotAni :
    public Entity
{
public:
    CS_BlueRobotAni();
    void Init(std::weak_ptr<Entity> self) override;
    void Step() override;
    void SetState(int stateID, int lr) override;
    void SetState(std::wstring stateName, int lr) override;
    //动画
    int stateID = 0;
    float animation_moveSpeed = 0x200 / ts;
    bool animation_delay = false;//走路动画延迟一帧（对齐到整格）
    int wink_counter = 0;
    //状态模块
    EntityStateGravity stateGravity;
};

std::shared_ptr<Entity> CreateCS_BlueRobotAni();